Ptex: FaceDataHeader Struct Reference

Ptex

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
FaceDataHeader Struct Reference

`#include <PtexIO.h>`

## Public Member Functions
uint32_t | blocksize () const
Encoding | encoding () const
uint32_t & | val ()
const uint32_t & | val () const
void | set (size_t blocksizeArg, Encoding encodingArg)
bool | isLargeFace () const
| FaceDataHeader ()

## Public Attributes
uint32_t | data

## Static Public Attributes
static constexpr uint32_t | blocksizeMax = 0x3fffffff

## Detailed Description

Definition at line 82 of file PtexIO.h.

## Constructor & Destructor Documentation

## ◆ FaceDataHeader()

FaceDataHeader::FaceDataHeader | ( |  | ) |
| inline

Definition at line 95 of file PtexIO.h.

References data.

## Member Function Documentation

## ◆ blocksize()

uint32_t FaceDataHeader::blocksize | ( |  | ) | const
| inline

Definition at line 85 of file PtexIO.h.

References blocksizeMax, and data.

Referenced by PtexReader::computeFaceTileOffsets(), PtexReader::getCompressedData(), isLargeFace(), and PtexReader::readFaceData().

## ◆ encoding()

Encoding FaceDataHeader::encoding | ( |  | ) | const
| inline

Definition at line 86 of file PtexIO.h.

References data.

Referenced by PtexReader::getCompressedData(), and PtexReader::readFaceData().

## ◆ isLargeFace()

bool FaceDataHeader::isLargeFace | ( |  | ) | const
| inline

Definition at line 94 of file PtexIO.h.

References blocksize(), and blocksizeMax.

Referenced by PtexReader::getCompressedData().

## ◆ set()

void FaceDataHeader::set | ( | size_t | blocksizeArg,
|  | Encoding | encodingArg )
| inline

Definition at line 89 of file PtexIO.h.

References blocksizeMax, and data.

Referenced by PtexMainWriter::compressFaceData(), and PtexMainWriter::compressFaceDataBlock().

## ◆ val() [1/2]

uint32_t & FaceDataHeader::val | ( |  | ) |
| inline

Definition at line 87 of file PtexIO.h.

## ◆ val() [2/2]

const uint32_t & FaceDataHeader::val | ( |  | ) | const
| inline

Definition at line 88 of file PtexIO.h.

## Member Data Documentation

## ◆ blocksizeMax

uint32_t FaceDataHeader::blocksizeMax = 0x3fffffff
| staticconstexpr

Definition at line 84 of file PtexIO.h.

Referenced by blocksize(), isLargeFace(), and set().

## ◆ data

uint32_t FaceDataHeader::data

Definition at line 83 of file PtexIO.h.

Referenced by blocksize(), encoding(), FaceDataHeader(), and set().

The documentation for this struct was generated from the following file:

- PtexIO.h